Bug 42993 - startx hangs after switchdesk from gnome to kde and then from kde back to gnome
Summary: startx hangs after switchdesk from gnome to kde and then from kde back to gnome
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: switchdesk   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-31 06:10 UTC by Joachim Backes
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-24 23:00:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joachim Backes 2001-05-31 06:10:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.5 i686)

Description of problem:
When having a running gnome session, then switch to a kde session with
switchdesk, then switch within the kde session back to the gnome session
(using switchdesk again), and then starting X with startx, the gnome
session is not started  (no gnome logo appears), but the desktop hangs.
After rebooting my system, startx is starting the gnome session correctly.

Remark: I don't use a X display manager, but start X directly from the
linux console.

How reproducible:
Always

Steps to Reproduce:
1.see error description
2.
3.
	

Actual Results:  the X desktop hangs

Expected Results:  a correctly started gnome

Additional info:

n/a

Comment 1 Karsten Hopp 2002-08-06 12:59:28 UTC
Please try again with the latest package. I've tested this according to your 
description and had no problems at all.


Note You need to log in before you can comment on or make changes to this bug.